Page MenuHomePhabricator

Add catimages dependencies to Travis CI Ubuntu precise whitelist
Closed, ResolvedPublic

Description

Where a catimages dependency exists in the Ubuntu APT repository for precise, we want them to be provided by the Travis CI build box without needing to build them from source.
This especially applies to non-Python packages, but it also applies to Python packages (see 2.7_with_system_site_packages in .travis.yml).

The process for adding packages to the whitelist is explained at:
https://github.com/travis-ci/apt-package-whitelist

(the same will need to be done for trusty, in the future)

Event Timeline

jayvdb created this task.Mar 29 2016, 5:20 AM
Restricted Application added subscribers: Avicennasis, Aklapper. · View Herald TranscriptMar 29 2016, 5:20 AM
jayvdb triaged this task as High priority.May 20 2016, 10:49 PM

It takes a while for whitelist requests to be processed, so useful to get the requests in early.

I went through the dependencies once 2 weeks ago.
I found that nearly everything I wanted was already there in travis I also created a few issues at apt-package-whitelist about some packages to add and that got added.

There are some python packages that are not there in the whitelist, but this was mainly because there exists no ubuntu package for those.

My experience with the travis list is that either it gets added within 2-3 days or it doesn't get added even for a year.

Good to see progress had occurred already. Was this in a weekly report? If so, sorry I missed it. If not, please add it.

Maybe create a test repo (or branch) to install all of the dependencies, either from an apt package or build from source, to make sure it is possible and there are no missing headers/libs. Then we can close this task.

AbdealiJK added a comment.EditedMay 23 2016, 2:11 AM

I had not added this to any report as I was just playing around while making a list of dependencies (and I didn't document it.)

I'll begin documenting and close this issue.

I've created a travis.yml file that has a bunch of dependencies that are in catimages or that we may need in catimages. I've not added some packages like bob and jseg because I hope to replace them with other packages.

I found vlfeat was the major package that we would need which is not there. I found libfaac-dev and other codec packages were not there either, so i made apt-package-whitelist issues for them.

Also, dlib (Which I want to use instead of bob) doesn't seem to import correctly in travis (Although it gets installed correctly). I've raised an appropriate issue - https://github.com/davisking/dlib/issues/120

And exiftool binary seems to be missing (although it gets installed) - https://github.com/travis-ci/travis-ci/issues/6093

AbdealiJK closed this task as Resolved.Jun 12 2016, 5:30 PM
AbdealiJK claimed this task.

Closing this as the above mentioned libraries have been accepted.
Also, all of the libraries have already been added to file-metadata as part of the GSoC project